import type { UserSession } from "#types/config";

type Query = Record<string, string>;
type Params = Record<string, string>;

interface ExtendedRequest extends Request {
	startPerf: number;
	query: Query;
	params: Params;
	session?: UserSession | null;
}

export type { ExtendedRequest, Query, Params };
